public partial class Players : Node
	, IReadOnlyCollection<Player>
{
	public Player ByPeerId(int peerId)
		=> this.GetNodeOrThrow<Player>(peerId.ToString());

	// IReadOnlyCollection implementation

	public int Count
		=> GetChildCount();
	public IEnumerator<Player> GetEnumerator()
		=> GetChildren().Cast<Player>().GetEnumerator();
	System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
		=> GetEnumerator();
}
